დავალიანების გადახდა
მიმდინარე სერვისით თქვენ შეძლებთ გადაიხადოთ სრული დავლიანება ოთახის ან თრექინგის ნომრით.
POST
/integrators/payments/debts/pay
ფილტრაციის პარამეტრები
აუცილებელია გადასცეთ მინიმუმ ერთი პარამეტრი: ან ოთახის ნომერი (roomNumber), ან თრექინგ კოდი (waybillNumber).
| Field | Type | Required | Example | Description |
|---|---|---|---|---|
| roomNumber | string | Conditional |
IG00001
Required if waybillNumber is missing. |
მომხმარებლის ოთახის ნომერი. |
| waybillNumber | string | Conditional |
TY7200934421231
Required if roomNumber is missing. |
ამანათის თრექინგი Inex-ის სისტემაში. |
| paymentId | string | Yes | IN0001 | თქვენს სისტემაში გადახდის ნომერი. (max:255) სიმბოლო. |
დუბლიკატი paymentId
გაითვალისწინეთ. ჩვენი სისტემა დუბლიკატი paymentId-ით ხელახლა დავალიანების გადახდის მცდელობისას არ დააბრუნებს შეცდომას, ასეთის არსებობის შემთხვევაში დააბრუნებს ძველ წარმატებულ პასუხს.
პასუხის სტრუქტურა 200 OK
| Attribute | Type | Example | Description |
|---|---|---|---|
| data.transactionId | string | 223IN1233 | Inex სისტემაში ასახული ტრანზაქციის იდენტიფიკატორი. |
შესაძლო პასუხები
| Code | Description |
|---|---|
| 200 OK | გადახდა წარმატებით შესრულდა. |
| 404 Not Found | მომხმარებელი ან ამანათი არ მოიძებნა. |
| 403 Forbidden | თქვენ არ გაქვთ ამ ოპერაციის შესრულების უფლება |
| 422 Unprocessable | ვალიდაციის შეცდომა (არასწორი ტიპი ან გამოტოვებული ველი). |
cURL Request
BASH
curl -X GET https://api-staging.inex.ge/api/v1/integrators/payments/debts/pay \
-H "Authorization: Bearer {TOKEN}" \
-H "Content-Type: application/json" \
-d '{
"roomNumber": "IG00001",
"paymentId": "INV0001",
}'
curl -X GET https://api-staging.inex.ge/api/v1/integrators/payments/debts/pay \
-H "Authorization: Bearer {TOKEN}" \
-H "Content-Type: application/json" \
-d '{
"waybillNumber": "TY7200934421231",
"paymentId": "INV0001",
}'
Response (200 OK)
JSON Response
JSON
{
"data": {
"transactionId": 123456
}
}
Error Response (403)
JSON Response
JSON
{
"errors": {
"general": [
"You are not authorized to perform this action. Contact administrator."
]
},
"message": "error"
}
Error Response (404)
JSON Response
JSON
{
"errors": {
"general": [
"Requested customer not found"
]
},
"message": "error"
}
Error Response (422)
JSON Response
JSON
{
"message": "The room number field is required when waybill number is not present. (and 1 more error)",
"errors": {
"roomNumber": [
"The room number field is required when waybill number is not present."
],
"waybillNumber": [
"The waybill number field is required when room number is not present."
]
}
}